=== debian/changelog ===
python-mne (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * d/control: enable pytest qtbot fixture.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 09:46:18 +0200
