=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               libgl1-mesa-dri,
               libjs-jquery,
               libjs-jquery-ui,
               python3-vtk9,
               python3-all,
               python3-coverage,
               python3-hatchling,
               python3-hatch-vcs,
               python3-joblib,
               python3-lazy-loader,
               python3-matplotlib,
               python3-nibabel,
               python3-numpy,
               python3-pooch <!nocheck>,
               python3-pyqt6 <!nocheck>,
               python3-pytest,
               python3-pytestqt <!nocheck>,
               python3-pytest-cov,
               python3-pytest-timeout <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-tqdm <!nocheck>,
               python3-tk,
               python3-sphinx,
               xauth,
               xvfb,
               yui-compressor
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/python-mne
Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
Homepage: https://martinos.org/mne
Rules-Requires-Root: no

Package: python3-mne
Architecture: all
Depends: help2man,
         libgl1-mesa-dri,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         libjs-jquery-ui,
         python3-joblib,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-sklearn,
         xauth,
         xvfb,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-vtk9,
            python3-nibabel,
            python3-pytest
Suggests: mayavi2,
          ipython,
          python3-dap,
          python3-pycuda
Breaks: python-mne
Provides: ${python3:Provides}
Replaces: python-mne
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.
