=== debian/changelog ===
python-mne (1.9.0-2) unstable; urgency=medium

  * d/rules: skip test_spherical_conversions and test_tps. (Closes: #1100273)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Apr 2025 17:54:14 +0200

python-mne (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0  (Closes: #1093353)
  * d/control: bump to libjs-bootstrap5 as it seems expected upstream.
    (Closes: #1088495)
  * d/salsa-ci.yml: disable test on i386.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Feb 2025 08:15:50 +0100
