=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
@@ -47,7 +47,7 @@
 Architecture: all
 Depends: help2man,
          libgl1-mesa-dri,
-         libjs-bootstrap,
+         libjs-bootstrap5,
          libjs-d3,
          libjs-jquery,
          libjs-jquery-ui,
